[arch-commits] Commit in git/repos (7 files)
Christian Hesse
eworm at gemini.archlinux.org
Thu Aug 11 19:51:45 UTC 2022
Date: Thursday, August 11, 2022 @ 19:51:45
Author: eworm
Revision: 452596
archrelease: copy trunk to testing-x86_64
Added:
git/repos/testing-x86_64/
git/repos/testing-x86_64/PKGBUILD
(from rev 452595, git/trunk/PKGBUILD)
git/repos/testing-x86_64/git-daemon.socket
(from rev 452595, git/trunk/git-daemon.socket)
git/repos/testing-x86_64/git-daemon at .service
(from rev 452595, git/trunk/git-daemon at .service)
git/repos/testing-x86_64/git-sysusers.conf
(from rev 452595, git/trunk/git-sysusers.conf)
git/repos/testing-x86_64/git.install
(from rev 452595, git/trunk/git.install)
git/repos/testing-x86_64/keys/
---------------------+
PKGBUILD | 128 ++++++++++++++++++++++++++++++++++++++++++++++++++
git-daemon.socket | 9 +++
git-daemon at .service | 14 +++++
git-sysusers.conf | 1
git.install | 14 +++++
5 files changed, 166 insertions(+)
Copied: git/repos/testing-x86_64/PKGBUILD (from rev 452595, git/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2022-08-11 19:51:45 UTC (rev 452596)
@@ -0,0 +1,128 @@
+# Maintainer: Christian Hesse <mail at eworm.de>
+# Maintainer: Dan McGee <dan at archlinux.org>
+
+pkgname=git
+pkgver=2.37.2
+pkgrel=1
+pkgdesc='the fast distributed version control system'
+arch=('x86_64')
+url='https://git-scm.com/'
+license=('GPL2')
+depends=('curl' 'expat' 'perl' 'perl-error' 'perl-mailtools'
+ 'openssl' 'pcre2' 'grep' 'shadow' 'zlib')
+makedepends=('python' 'libgnome-keyring' 'xmlto' 'asciidoc')
+optdepends=('tk: gitk and git gui'
+ 'perl-libwww: git svn'
+ 'perl-term-readkey: git svn and interactive.singlekey setting'
+ 'perl-io-socket-ssl: git send-email TLS support'
+ 'perl-authen-sasl: git send-email TLS support'
+ 'perl-mediawiki-api: git mediawiki support'
+ 'perl-datetime-format-iso8601: git mediawiki support'
+ 'perl-lwp-protocol-https: git mediawiki https support'
+ 'perl-cgi: gitweb (web interface) support'
+ 'python: git svn & git p4'
+ 'subversion: git svn'
+ 'org.freedesktop.secrets: keyring credential helper'
+ 'libsecret: libsecret credential helper')
+options=('debug')
+install=git.install
+validpgpkeys=('96E07AF25771955980DAD10020D04E5A713660A7') # Junio C Hamano
+source=("https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar."{xz,sign}
+ 'git-daemon at .service'
+ 'git-daemon.socket'
+ 'git-sysusers.conf')
+sha256sums=('1c3d9c821c4538e7a6dac30a4af8bd8dcfe4f651f95474c526b52f83406db003'
+ 'SKIP'
+ '14c0b67cfe116b430645c19d8c4759419657e6809dfa28f438c33a005245ad91'
+ 'ac4c90d62c44926e6d30d18d97767efc901076d4e0283ed812a349aece72f203'
+ '7630e8245526ad80f703fac9900a1328588c503ce32b37b9f8811674fcda4a45')
+
+_make_paths=(
+ prefix='/usr'
+ gitexecdir='/usr/lib/git-core'
+ perllibdir="$(/usr/bin/perl -MConfig -wle 'print $Config{installvendorlib}')"
+)
+
+_make_options=(
+ CFLAGS="$CFLAGS"
+ LDFLAGS="$LDFLAGS"
+ INSTALL_SYMLINKS=1
+ MAN_BOLD_LITERAL=1
+ NO_PERL_CPAN_FALLBACKS=1
+ USE_LIBPCRE2=1
+)
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make \
+ "${_make_paths[@]}" \
+ "${_make_options[@]}" \
+ all man
+
+ make -C contrib/credential/gnome-keyring
+ make -C contrib/credential/libsecret
+ make -C contrib/subtree "${_make_paths[@]}" all man
+ make -C contrib/mw-to-git "${_make_paths[@]}" all
+ make -C contrib/diff-highlight "${_make_paths[@]}"
+}
+
+check() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ local jobs
+ jobs=$(expr "$MAKEFLAGS" : '.*\(-j[0-9]*\).*') || true
+ mkdir -p /dev/shm/git-test
+ # explicitly specify SHELL to avoid a test failure in t/t9903-bash-prompt.sh
+ # which is caused by 'git rebase' trying to use builduser's SHELL inside the
+ # build chroot (i.e.: /usr/bin/nologin)
+ SHELL=/bin/sh \
+ make \
+ "${_make_paths[@]}" \
+ "${_make_options[@]}" \
+ NO_SVN_TESTS=y \
+ DEFAULT_TEST_TARGET=prove \
+ GIT_PROVE_OPTS="$jobs -Q" \
+ GIT_TEST_OPTS="--root=/dev/shm/git-test" \
+ test
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make \
+ "${_make_paths[@]}" \
+ "${_make_options[@]}" \
+ DESTDIR="$pkgdir" \
+ install install-man
+
+ # bash completion
+ mkdir -p "$pkgdir"/usr/share/bash-completion/completions/
+ install -m 0644 ./contrib/completion/git-completion.bash "$pkgdir"/usr/share/bash-completion/completions/git
+ # fancy git prompt
+ mkdir -p "$pkgdir"/usr/share/git/
+ install -m 0644 ./contrib/completion/git-prompt.sh "$pkgdir"/usr/share/git/git-prompt.sh
+ # gnome credentials helper (deprecated, but we will keep it as long there is no extra cost)
+ # https://gitlab.gnome.org/GNOME/libgnome-keyring/commit/6a5adea4aec93
+ install -m 0755 contrib/credential/gnome-keyring/git-credential-gnome-keyring \
+ "$pkgdir"/usr/lib/git-core/git-credential-gnome-keyring
+ make -C contrib/credential/gnome-keyring clean
+ # libsecret credentials helper
+ install -m 0755 contrib/credential/libsecret/git-credential-libsecret \
+ "$pkgdir"/usr/lib/git-core/git-credential-libsecret
+ make -C contrib/credential/libsecret clean
+ # subtree installation
+ make -C contrib/subtree "${_make_paths[@]}" DESTDIR="$pkgdir" install install-man
+ # mediawiki installation
+ make -C contrib/mw-to-git "${_make_paths[@]}" DESTDIR="$pkgdir" install
+ # the rest of the contrib stuff
+ find contrib/ -name '.gitignore' -delete
+ cp -a ./contrib/* "$pkgdir"/usr/share/git/
+
+ # git-daemon via systemd socket activation
+ install -D -m 0644 "$srcdir"/git-daemon at .service "$pkgdir"/usr/lib/systemd/system/git-daemon at .service
+ install -D -m 0644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
+
+ # sysusers file
+ install -D -m 0644 "$srcdir"/git-sysusers.conf "$pkgdir"/usr/lib/sysusers.d/git.conf
+}
Copied: git/repos/testing-x86_64/git-daemon.socket (from rev 452595, git/trunk/git-daemon.socket)
===================================================================
--- testing-x86_64/git-daemon.socket (rev 0)
+++ testing-x86_64/git-daemon.socket 2022-08-11 19:51:45 UTC (rev 452596)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Git Daemon Socket
+
+[Socket]
+ListenStream=9418
+Accept=true
+
+[Install]
+WantedBy=sockets.target
Copied: git/repos/testing-x86_64/git-daemon at .service (from rev 452595, git/trunk/git-daemon at .service)
===================================================================
--- testing-x86_64/git-daemon at .service (rev 0)
+++ testing-x86_64/git-daemon at .service 2022-08-11 19:51:45 UTC (rev 452596)
@@ -0,0 +1,14 @@
+[Unit]
+Description=Git Daemon Instance
+
+[Service]
+User=git
+# The '-' is to ignore non-zero exit statuses
+ExecStart=-/usr/lib/git-core/git-daemon --inetd --export-all --base-path=/srv/git
+StandardInput=socket
+StandardOutput=inherit
+StandardError=journal
+ProtectSystem=full
+ProtectHome=on
+PrivateDevices=on
+NoNewPrivileges=on
Copied: git/repos/testing-x86_64/git-sysusers.conf (from rev 452595, git/trunk/git-sysusers.conf)
===================================================================
--- testing-x86_64/git-sysusers.conf (rev 0)
+++ testing-x86_64/git-sysusers.conf 2022-08-11 19:51:45 UTC (rev 452596)
@@ -0,0 +1 @@
+u git - "git daemon user" / /usr/bin/git-shell
Copied: git/repos/testing-x86_64/git.install (from rev 452595, git/trunk/git.install)
===================================================================
--- testing-x86_64/git.install (rev 0)
+++ testing-x86_64/git.install 2022-08-11 19:51:45 UTC (rev 452596)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+post_install() {
+ # make git-shell a valid shell
+ if ! grep -qe '^/usr/bin/git-shell$' etc/shells; then
+ echo '/usr/bin/git-shell' >> etc/shells
+ fi
+}
+
+# do not modify user settings (shell) in post-upgrade function!
+
+post_remove() {
+ sed -i -r '/^\/usr\/bin\/git-shell$/d' etc/shells
+}
More information about the arch-commits
mailing list